/*

Copyright (c) 2002 Hendrik Schreiber <hs@tagtraum.com>.

LGPL
====

This is free software; you can redistribute it and/or
modify it under the terms of the GNU Lesser General Public
License as published by the Free Software Foundation; either
version 2.1 of the License, or (at your option) any later version.

This software is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
Lesser General Public License for more details.

You should have received a copy of the GNU Lesser General Public
License along with this library; if not, write to the Free Software
Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

For LGPL see <http://www.fsf.org/copyleft/lesser.txt>

For more information about this software see
<http://www.tagtraum.com/performance/>

*/
package com.tagtraum.perf.classloading;

import java.io.*;
import java.util.List;
import java.util.ArrayList;

/**
 * Reads a list of classnames from a a file given as the first argument to the main
 * method. The classes are then loaded and the time it for loading all files is measured.
 *
 * @author <a href="mailto:hs@tagtraum.com">Hendrik Schreiber</a>
 * @version $Id: $
 */
public class MassClassLoadingDemo {
   public static void main(String[] args) throws Exception {
      File file = new File(args[0]);
      BufferedReader in = new BufferedReader(new FileReader(file));
      List classnames = new ArrayList();
      for (String classname = null;(classname = in.readLine())!=null;) {
         classnames.add(classname);
      }
      in.close();
      long start = System.currentTimeMillis();
      int count = 0;
      for (int i=0; i<classnames.size(); i++) {
         Class.forName((String)classnames.get(i));
         count++;
      }
      System.out.println("Loaded classes in " + (System.currentTimeMillis() - start) + "ms");
   }
}
