/*

Copyright (c) 2002 Hendrik Schreiber <hs@tagtraum.com>.

LGPL
====

This is free software; you can redistribute it and/or
modify it under the terms of the GNU Lesser General Public
License as published by the Free Software Foundation; either
version 2.1 of the License, or (at your option) any later version.

This software is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
Lesser General Public License for more details.

You should have received a copy of the GNU Lesser General Public
License along with this library; if not, write to the Free Software
Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

For LGPL see <http://www.fsf.org/copyleft/lesser.txt>

For more information about this software see
<http://www.tagtraum.com/performance/>

*/
package com.tagtraum.perf.datastructures;

import java.io.BufferedOutputStream;
import java.io.DataOutputStream;
import java.io.FileOutputStream;
import java.io.IOException;

/**
 * Generates some 7 digit telephonenumbers.
 *
 * @author <a href="mailto:hs@tagtraum.com">Hendrik Schreiber</a>
 * @version $Id: $
 */
public class TelephoneNumberGenerator {

   public static void main(String[] args) throws IOException {
      int[] arr = new int[2999999];
      for (int i = 0; i < arr.length; i++) {
         arr[i] = i * 3 + 1000000;
      }
      com.tagtraum.perf.datastructures.Arrays.shuffle(arr);
      DataOutputStream out = new DataOutputStream(new BufferedOutputStream(new FileOutputStream(args[0])));
      for (int i = 0; i < arr.length; i++) {
         out.writeInt(arr[i]);
      }
      out.close();
      System.out.println("Wrote " + arr.length + " numbers.");
   }
}
