/*

Copyright (c) 2002 Hendrik Schreiber <hs@tagtraum.com>.

LGPL
====

This is free software; you can redistribute it and/or
modify it under the terms of the GNU Lesser General Public
License as published by the Free Software Foundation; either
version 2.1 of the License, or (at your option) any later version.

This software is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
Lesser General Public License for more details.

You should have received a copy of the GNU Lesser General Public
License along with this library; if not, write to the Free Software
Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

For LGPL see <http://www.fsf.org/copyleft/lesser.txt>

For more information about this software see
<http://www.tagtraum.com/performance/>

*/
package com.tagtraum.perf.io;

import java.io.FileInputStream;
import java.io.FileOutputStream;
import java.io.InputStream;
import java.io.OutputStream;


/**
 * Copies a file using the windows shell, if executed on windows systems.
 *
 * @author <a href="mailto:hs@tagtraum.com">Hendrik Schreiber</a>
 * @version $Id: $
 */
public class FileCopyDemo9 {

   private static final boolean windows = System.getProperty("os.name").toLowerCase().startsWith("win");

   public static long main(String[] args) throws Exception {
      long start = System.currentTimeMillis();
      if (windows) {
         Process p = Runtime.getRuntime().exec("cmd.exe /q /c copy " + args[0] + " " + args[1]);
         p.waitFor();
      } else {
         InputStream in = new FileInputStream(args[0]);
         OutputStream out = new FileOutputStream(args[1]);
         int length;
         byte[] buf = new byte[1024 * 8];
         while ((length = in.read(buf)) != -1) {
            out.write(buf, 0, length);
         }
         in.close();
         out.close();
      }
      return System.currentTimeMillis() - start;
   }

}
