/*

Copyright (c) 2002 Hendrik Schreiber <hs@tagtraum.com>.

LGPL
====

This is free software; you can redistribute it and/or
modify it under the terms of the GNU Lesser General Public
License as published by the Free Software Foundation; either
version 2.1 of the License, or (at your option) any later version.

This software is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
Lesser General Public License for more details.

You should have received a copy of the GNU Lesser General Public
License along with this library; if not, write to the Free Software
Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

For LGPL see <http://www.fsf.org/copyleft/lesser.txt>

For more information about this software see
<http://www.tagtraum.com/performance/>

*/
package com.tagtraum.perf.memviewer;

import java.io.FileWriter;
import java.io.PrintWriter;
import java.util.Date;
import java.util.Properties;

/**
 * Textual visualizer.
 *
 * @author <a href="mailto:hs@tagtraum.com">Hendrik Schreiber</a>
 * @version $Id: $
 */
public class TextualVisualizer implements Visualizer {

   private PrintWriter out;

   public void init(Properties properties) throws Exception {
      if (properties.containsKey("file")) {
         out = new PrintWriter(new FileWriter(properties.getProperty("file")), true);
      } else {
         out = new PrintWriter(System.out, true);
      }
      out.println("MemViewer - " + new Date());
      out.println("Time\tTotal\tFree\tFree%\tUsed\tUsed%");
   }

   public void showMemory(MemState memState) {
      out.print(memState.getTime());
      out.print('\t');
      out.print(memState.getTotalMemory());
      out.print('\t');
      out.print(memState.getFreeMemory());
      out.print('\t');
      out.print(memState.getFreeMemoryPercent());
      out.print('\t');
      out.print(memState.getUsedMemory());
      out.print('\t');
      out.println(memState.getUsedMemoryPercent());
   }

}
