/*

Copyright (c) 2002 Hendrik Schreiber <hs@tagtraum.com>.

LGPL
====

This is free software; you can redistribute it and/or
modify it under the terms of the GNU Lesser General Public
License as published by the Free Software Foundation; either
version 2.1 of the License, or (at your option) any later version.

This software is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
Lesser General Public License for more details.

You should have received a copy of the GNU Lesser General Public
License along with this library; if not, write to the Free Software
Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

For LGPL see <http://www.fsf.org/copyleft/lesser.txt>

For more information about this software see
<http://www.tagtraum.com/performance/>

*/
package com.tagtraum.perf.monitor;

/**
 * HprofMonitorDemo.
 *
 * @author <a href="mailto:hs@tagtraum.com">Hendrik Schreiber</a>
 * @version $Id: $
 */
public class HprofMonitorDemo extends Thread {

   private static class Lock extends Object {
   };

   private static Lock lock = new Lock();

   public HprofMonitorDemo(int i) {
      super("HprofMonitorThread-" + i);
   }

   public void run() {
      for (int i = 0; i < 1000; i++) {
         obtainLockAndSleep();
      }
   }

   private void obtainLockAndSleep() {
      synchronized (lock) {
         try {
            Thread.sleep(100);
         } catch (InterruptedException ie) {
            ie.printStackTrace();
         }
      }
   }

   public static void main(String[] args) {
      HprofMonitorDemo demoInstance0 = new HprofMonitorDemo(0);
      HprofMonitorDemo demoInstance1 = new HprofMonitorDemo(1);
      HprofMonitorDemo demoInstance2 = new HprofMonitorDemo(2);
      demoInstance0.start();
      demoInstance1.start();
      demoInstance2.start();
   }
}

