/*

Copyright (c) 2002 Hendrik Schreiber <hs@tagtraum.com>.

LGPL
====

This is free software; you can redistribute it and/or
modify it under the terms of the GNU Lesser General Public
License as published by the Free Software Foundation; either
version 2.1 of the License, or (at your option) any later version.

This software is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
Lesser General Public License for more details.

You should have received a copy of the GNU Lesser General Public
License along with this library; if not, write to the Free Software
Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

For LGPL see <http://www.fsf.org/copyleft/lesser.txt>

For more information about this software see
<http://www.tagtraum.com/performance/>

*/
package com.tagtraum.perf.rmi;

import java.rmi.Naming;
import java.rmi.RMISecurityManager;
import java.rmi.RemoteException;
import java.rmi.server.UnicastRemoteObject;
import java.util.List;

/**
 * Trivial RMI server object.
 *
 * @author <a href="mailto:hs@tagtraum.com">Hendrik Schreiber</a>
 * @version $Id: $
 */
public class ServerDemoImpl extends UnicastRemoteObject implements ServerDemo {

   public ServerDemoImpl() throws RemoteException {
      super();
   }

   public void send(String[] s) throws RemoteException {
      // do nothing
   }

   public static void main(String args[]) {
      // Create and install a security manager
      if (System.getSecurityManager() == null) {
         //System.setSecurityManager(new RMISecurityManager());
      }
      try {
         ServerDemoImpl obj = new ServerDemoImpl();
         // Bind this object instance to the name "HelloServer"
         Naming.rebind("//localhost/ServerDemo", obj);

         System.out.println("ServerDemo bound in registry");
      } catch (Exception e) {
         System.out.println("ServerDemo err: " + e.getMessage());
         e.printStackTrace();
      }
   }

}
