/*

Copyright (c) 2002 Hendrik Schreiber <hs@tagtraum.com>.

LGPL
====

This is free software; you can redistribute it and/or
modify it under the terms of the GNU Lesser General Public
License as published by the Free Software Foundation; either
version 2.1 of the License, or (at your option) any later version.

This software is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
Lesser General Public License for more details.

You should have received a copy of the GNU Lesser General Public
License along with this library; if not, write to the Free Software
Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

For LGPL see <http://www.fsf.org/copyleft/lesser.txt>

For more information about this software see
<http://www.tagtraum.com/performance/>

*/
package com.tagtraum.perf.strings;

import java.text.Collator;
import java.util.Locale;

/**
 * Demonstrates {@link Collator}.
 *
 * @author <a href="mailto:hs@tagtraum.com">Hendrik Schreiber</a>
 * @version $Id: $
 */
public class CollatorDemo {
    public static void main(String[] args) {
        Collator primaryCollator = Collator.getInstance(Locale.GERMAN);
        primaryCollator.setStrength(Collator.PRIMARY);
        Collator secondaryCollator = Collator.getInstance(Locale.GERMAN);
        secondaryCollator.setStrength(Collator.SECONDARY);
        Collator tertiaryCollator = Collator.getInstance(Locale.GERMAN);
        tertiaryCollator.setStrength(Collator.TERTIARY);
        Collator identicalCollator = Collator.getInstance(Locale.GERMAN);
        identicalCollator.setStrength(Collator.IDENTICAL);
        primaryCollator.setDecomposition(Collator.FULL_DECOMPOSITION);
        secondaryCollator.setDecomposition(Collator.FULL_DECOMPOSITION);
        tertiaryCollator.setDecomposition(Collator.FULL_DECOMPOSITION);
        identicalCollator.setDecomposition(Collator.FULL_DECOMPOSITION);

        System.out.println("Hallo == hallo");
        System.out.println("Primary Collator: " + primaryCollator.equals("Hallo", "hallo"));
        System.out.println("Secondary Collator: " + secondaryCollator.equals("Hallo", "hallo"));
        System.out.println("Tertiary Collator: " + tertiaryCollator.equals("Hallo", "hallo"));
        System.out.println("Identical Collator: " + identicalCollator.equals("Hallo", "hallo"));

        System.out.println();
        System.out.println("Gem == Gemaess");
        System.out.println("Primary Collator: " + primaryCollator.equals("Gem", "Gemaess"));
        System.out.println("Secondary Collator: " + secondaryCollator.equals("Gem", "Gemaess"));
        System.out.println("Tertiary Collator: " + tertiaryCollator.equals("Gem", "Gemaess"));
        System.out.println("Identical Collator: " + identicalCollator.equals("Gem", "Gemaess"));

        System.out.println();
        System.out.println("Tbingen == Tuebingen");
        System.out.println("Primary Collator: " + primaryCollator.equals("Tbingen", "Tuebingen"));
        System.out.println("Secondary Collator: " + secondaryCollator.equals("Tbingen", "Tuebingen"));
        System.out.println("Tertiary Collator: " + tertiaryCollator.equals("Tbingen", "Tuebingen"));
        System.out.println("Identical Collator: " + identicalCollator.equals("Tbingen", "Tuebingen"));

        System.out.println();
        System.out.println("Tbingen == Tubingen");
        System.out.println("Primary Collator: " + primaryCollator.equals("Tbingen", "Tubingen"));
        System.out.println("Secondary Collator: " + secondaryCollator.equals("Tbingen", "Tubingen"));
        System.out.println("Tertiary Collator: " + tertiaryCollator.equals("Tbingen", "Tubingen"));
        System.out.println("Identical Collator: " + identicalCollator.equals("Tbingen", "Tubingen"));

        System.out.println();
        System.out.println("Tbingen == tubingen");
        System.out.println("Primary Collator: " + primaryCollator.equals("Tbingen", "tubingen"));
        System.out.println("Secondary Collator: " + secondaryCollator.equals("Tbingen", "tubingen"));
        System.out.println("Tertiary Collator: " + tertiaryCollator.equals("Tbingen", "tubingen"));
        System.out.println("Identical Collator: " + identicalCollator.equals("Tbingen", "tubingen"));

        System.out.println();
        System.out.println("Gleich == Gleich");
        System.out.println("Primary Collator: " + primaryCollator.equals("Gleich", "Gleich"));
        System.out.println("Secondary Collator: " + secondaryCollator.equals("Gleich", "Gleich"));
        System.out.println("Tertiary Collator: " + tertiaryCollator.equals("Gleich", "Gleich"));
        System.out.println("Identical Collator: " + identicalCollator.equals("Gleich", "Gleich"));

        System.out.println();
        System.out.println("Gro == gross");
        System.out.println("Primary Collator: " + primaryCollator.equals("Gro", "gross"));
        System.out.println("Secondary Collator: " + secondaryCollator.equals("Gro", "gross"));
        System.out.println("Tertiary Collator: " + tertiaryCollator.equals("Gro", "gross"));
        System.out.println("Identical Collator: " + identicalCollator.equals("Gro", "gross"));

    }
}
