/*

Copyright (c) 2002 Hendrik Schreiber <hs@tagtraum.com>.

LGPL
====

This is free software; you can redistribute it and/or
modify it under the terms of the GNU Lesser General Public
License as published by the Free Software Foundation; either
version 2.1 of the License, or (at your option) any later version.

This software is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
Lesser General Public License for more details.

You should have received a copy of the GNU Lesser General Public
License along with this library; if not, write to the Free Software
Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

For LGPL see <http://www.fsf.org/copyleft/lesser.txt>

For more information about this software see
<http://www.tagtraum.com/performance/>

*/
package com.tagtraum.perf.strings;

import java.text.NumberFormat;

/**
 * Converts an integer to a String with different formatter classes.
 *
 * @author <a href="mailto:hs@tagtraum.com">Hendrik Schreiber</a>
 * @version $Id: $
 */
public class IntegerFormatDemo {
    private static NumberFormat formatter = NumberFormat.getInstance();

    public static void main(String[] args) {
        int iterations = 5000;
        long start;
        long time;

        start = System.currentTimeMillis();
        for (int i = 0; i < iterations; i++) integerToString();
        time = System.currentTimeMillis() - start;
        System.out.println("integerToString first run: " + time);

        start = System.currentTimeMillis();
        for (int i = 0; i < iterations; i++) integerToString();
        time = System.currentTimeMillis() - start;
        System.out.println("integerToString second run: " + time);

        start = System.currentTimeMillis();
        for (int i = 0; i < iterations; i++) longToString();
        time = System.currentTimeMillis() - start;
        System.out.println("longToString first run: " + time);

        start = System.currentTimeMillis();
        for (int i = 0; i < iterations; i++) longToString();
        time = System.currentTimeMillis() - start;
        System.out.println("longToString second run: " + time);

        start = System.currentTimeMillis();
        for (int i = 0; i < iterations; i++) formatIntegerToString();
        time = System.currentTimeMillis() - start;
        System.out.println("formatIntegerToString first run: " + time);

        start = System.currentTimeMillis();
        for (int i = 0; i < iterations; i++) formatIntegerToString();
        time = System.currentTimeMillis() - start;
        System.out.println("formatIntegerToString second run: " + time);
    }

    public static void integerToString() {
        for (int i=0; i<1000; i++) Integer.toString(i);
    }
    public static void longToString() {
        for (int i=0; i<1000; i++) Long.toString(i);
    }
    public static void formatIntegerToString() {
        for (int i=0; i<1000; i++) formatter.format(i);
    }
}
