/*

Copyright (c) 2002 Hendrik Schreiber <hs@tagtraum.com>.

LGPL
====

This is free software; you can redistribute it and/or
modify it under the terms of the GNU Lesser General Public
License as published by the Free Software Foundation; either
version 2.1 of the License, or (at your option) any later version.

This software is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
Lesser General Public License for more details.

You should have received a copy of the GNU Lesser General Public
License along with this library; if not, write to the Free Software
Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

For LGPL see <http://www.fsf.org/copyleft/lesser.txt>

For more information about this software see
<http://www.tagtraum.com/performance/>

*/
package com.tagtraum.perf.swing;

import javax.swing.table.TableModel;
import java.awt.*;

/**
 * Demonstrates the usage of {@link HashTableModel}.
 *
 * @author <a href="mailto:hs@tagtraum.com">Hendrik Schreiber</a>
 * @version $Id: $
 */
public class HashTableModelDemo {
   public static void main(String[] args) {
      TableModel model = new HashTableModel(100, 100);
      for (int i=0; i<100; i++)
         for (int j=0; j<100; j++)
            model.setValueAt(i+":"+j, i, j);
      testGet(model);

   }

   private static void testGet(TableModel model) {
      long start = System.currentTimeMillis();
      for (int i=0; i<10000000; i++) model.getValueAt(0,0);
      System.out.println(System.currentTimeMillis() - start + "ms");

      start = System.currentTimeMillis();
      for (int i=0; i<10000000; i++) model.getValueAt(0,0);
      System.out.println(System.currentTimeMillis() - start + "ms");
   }

}
