/*

Copyright (c) 2002 Hendrik Schreiber <hs@tagtraum.com>.

LGPL
====

This is free software; you can redistribute it and/or
modify it under the terms of the GNU Lesser General Public
License as published by the Free Software Foundation; either
version 2.1 of the License, or (at your option) any later version.

This software is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
Lesser General Public License for more details.

You should have received a copy of the GNU Lesser General Public
License along with this library; if not, write to the Free Software
Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

For LGPL see <http://www.fsf.org/copyleft/lesser.txt>

For more information about this software see
<http://www.tagtraum.com/performance/>

*/
package com.tagtraum.perf.xml;

import java.io.FileOutputStream;
import java.util.Random;

/**
 * Helper class that generates a large XML address document.
 *
 * @author <a href="mailto:hs@tagtraum.com">Hendrik Schreiber</a>
 * @version $Id: $
 */
public class AddressList {
   static Random rnd = new Random();
   public static void main(String[] args) throws Exception {
      XMLWriter writer = new XMLWriter(new FileOutputStream("addresses.xml"), null, true);
      writer.startDocument();
      writer.startElement("", "", "addresses", null);
      for (int i=0; i<10000; i++) {
         String firstname = getRandomString();
         String lastname = getRandomString();
         String street = getRandomString();
         String city = getRandomString();
         writer.startElement("", "", "address", null);
         writer.startElement("", "", "firstname", null);
         writer.characters(firstname.toCharArray(), 0, firstname.length());
         writer.endElement("", "", "firstname");
         writer.startElement("", "", "lastname", null);
         writer.characters(lastname.toCharArray(), 0, lastname.length());
         writer.endElement("", "", "lastname");
         writer.startElement("", "", "street", null);
         writer.characters(street.toCharArray(), 0, street.length());
         writer.endElement("", "", "street");
         writer.startElement("", "", "city", null);
         writer.characters(city.toCharArray(), 0, city.length());
         writer.endElement("", "", "city");
         writer.endElement("", "", "address");
      }
      writer.endElement("", "", "addresses");
      writer.endDocument();
   }

   public static String getRandomString() {
      int length = rnd.nextInt(10)+3;
      StringBuffer sb = new StringBuffer();
      for (int i = 0; i<length; i++) {
         sb.append((char)(rnd.nextInt(52)+40));
      }
      return sb.toString();
   }
}
