/*

Copyright (c) 2002 Hendrik Schreiber <hs@tagtraum.com>.

LGPL
====

This is free software; you can redistribute it and/or
modify it under the terms of the GNU Lesser General Public
License as published by the Free Software Foundation; either
version 2.1 of the License, or (at your option) any later version.

This software is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
Lesser General Public License for more details.

You should have received a copy of the GNU Lesser General Public
License along with this library; if not, write to the Free Software
Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

For LGPL see <http://www.fsf.org/copyleft/lesser.txt>

For more information about this software see
<http://www.tagtraum.com/performance/>

*/
package com.tagtraum.perf.xml;

import org.w3c.dom.Document;
import org.w3c.dom.NodeList;
import org.xml.sax.SAXException;

import javax.xml.parsers.DocumentBuilder;
import javax.xml.parsers.DocumentBuilderFactory;
import java.io.File;
import java.io.IOException;

/**
 * Demonstrates parsing a document using a DOM parser.
 *
 * @author <a href="mailto:hs@tagtraum.com">Hendrik Schreiber</a>
 * @version $Id: $
 * @see SAXBenchDemo
 * @see XPPEventBenchDemo
 * @see XPPTreeBenchDemo
 */
public class DOMBenchDemo1 {
   public static void main(String[] args) throws Exception {
      DocumentBuilderFactory builderFactory = DocumentBuilderFactory.newInstance();
      //builderFactory.setAttribute("http://apache.org/xml/features/dom/defer-node-expansion", Boolean.FALSE);
      builderFactory.setValidating(true);
      builderFactory.setNamespaceAware(true);
      DocumentBuilder documentBuilder = builderFactory.newDocumentBuilder();
      parse(documentBuilder, new File(args[0]));
      parse(documentBuilder, new File(args[0]));
   }

   private static void parse(DocumentBuilder documentBuilder, File file) throws SAXException, IOException {
      long start = System.currentTimeMillis();
      Document document = documentBuilder.parse(file);
      NodeList list = document.getElementsByTagName("*");
      for (int i = 0; i < list.getLength(); i++) {
         list.item(i).getNodeName();
      }
      System.out.println(System.currentTimeMillis() - start);
   }
}
