/*

Copyright (c) 2002 Hendrik Schreiber <hs@tagtraum.com>.

LGPL
====

This is free software; you can redistribute it and/or
modify it under the terms of the GNU Lesser General Public
License as published by the Free Software Foundation; either
version 2.1 of the License, or (at your option) any later version.

This software is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
Lesser General Public License for more details.

You should have received a copy of the GNU Lesser General Public
License along with this library; if not, write to the Free Software
Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

For LGPL see <http://www.fsf.org/copyleft/lesser.txt>

For more information about this software see
<http://www.tagtraum.com/performance/>

*/
package com.tagtraum.perf.xml;

import org.gjt.xpp.XmlPullNode;
import org.gjt.xpp.XmlPullParser;
import org.gjt.xpp.XmlPullParserFactory;

import java.io.FileReader;

/**
 * Emits all tag names.
 *
 * @author <a href="mailto:hs@tagtraum.com">Hendrik Schreiber</a>
 * @version $Id: $
 */
public class SimpleXPPTreeDemo {
   public static void main(String[] args) throws Exception {
      XmlPullParserFactory parserFactory = XmlPullParserFactory.newInstance();
      XmlPullParser parser = parserFactory.newPullParser();
      parser.setInput(new FileReader(args[0]));
      while (parser.next() != XmlPullParser.START_TAG) {}
      XmlPullNode node = parserFactory.newPullNode(parser);
      printElementName(node);
   }

   private static void printElementName(XmlPullNode node) throws Exception {
      System.out.println(node.getRawName());
      System.out.println((Runtime.getRuntime().totalMemory()-Runtime.getRuntime().freeMemory())/1024);
      Object object;
      while ((object = node.readNextChild()) != null) {
         if (object instanceof XmlPullNode) printElementName((XmlPullNode) object);
      }
   }
}
