/*

Copyright (c) 2002 Hendrik Schreiber <hs@tagtraum.com>.

LGPL
====

This is free software; you can redistribute it and/or
modify it under the terms of the GNU Lesser General Public
License as published by the Free Software Foundation; either
version 2.1 of the License, or (at your option) any later version.

This software is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
Lesser General Public License for more details.

You should have received a copy of the GNU Lesser General Public
License along with this library; if not, write to the Free Software
Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

For LGPL see <http://www.fsf.org/copyleft/lesser.txt>

For more information about this software see
<http://www.tagtraum.com/performance/>

*/
package com.tagtraum.perf.xml;

import org.gjt.xpp.XmlPullParser;
import org.gjt.xpp.XmlPullParserFactory;
import org.gjt.xpp.XmlPullParserException;

import java.io.FileReader;
import java.io.File;
import java.io.IOException;

/**
 *
 * Date: 02.04.2002
 * Time: 15:43:58
 * @author <a href="mailto:hs@tagtraum.com">Hendrik Schreiber</a>
 * @version $Id: $
 * @see DOMBenchDemo1
 * @see SAXBenchDemo
 */
public class XPPEventBenchDemo {
   public static void main(String[] args) throws Exception {
      XmlPullParserFactory parserFactory = XmlPullParserFactory.newInstance();
      XmlPullParser parser = parserFactory.newPullParser();
      File file = new File(args[0]);
      parse(parser, file);
      parse(parser, file);
      parse(parser, file);
      parse(parser, file);
      parse(parser, file);
   }

   private static void parse(XmlPullParser parser, File file) throws XmlPullParserException, IOException {
      long start = System.currentTimeMillis();
      parser.setInput(new FileReader(file));
      while (parser.next() != XmlPullParser.END_DOCUMENT) {
         if (parser.getEventType() == XmlPullParser.START_TAG) {
            parser.getRawName();
         }
      }
      System.out.println(System.currentTimeMillis() - start);
   }
}
