/*

Copyright (c) 2002 Hendrik Schreiber <hs@tagtraum.com>.

LGPL
====

This is free software; you can redistribute it and/or
modify it under the terms of the GNU Lesser General Public
License as published by the Free Software Foundation; either
version 2.1 of the License, or (at your option) any later version.

This software is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
Lesser General Public License for more details.

You should have received a copy of the GNU Lesser General Public
License along with this library; if not, write to the Free Software
Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

For LGPL see <http://www.fsf.org/copyleft/lesser.txt>

For more information about this software see
<http://www.tagtraum.com/performance/>

*/
package com.tagtraum.perf.strings;

import junit.framework.TestCase;
import junit.framework.TestSuite;

import java.text.DateFormat;
import java.text.ParseException;
import java.text.SimpleDateFormat;
import java.text.DateFormatSymbols;

/**
 * @author <a href="mailto:hs@tagtraum.com">Hendrik Schreiber</a>
 * @version $Id: $
 */
public class TestDateTimeDateFormat extends TestCase {

    public TestDateTimeDateFormat(String name) {
        super(name);
    }

    public void testParse() throws ParseException {
        DateFormat parser = new DateTimeDateFormat();
        DateFormat formatter = new SimpleDateFormat("dd MMM yyyy HH:mm:ss,SSS");
        String[] shortMonths = new DateFormatSymbols().getShortMonths();
        assertEquals(formatter.parse("01 " + shortMonths[1] + " 1999 01:29:30,751"), parser.parse("01 " + shortMonths[1] + " 1999 01:29:30,751"));
        // test twice, because of caching.
        assertEquals(formatter.parse("01 " + shortMonths[1] + " 1999 01:29:30,751"), parser.parse("01 " + shortMonths[1] + " 1999 01:29:30,751"));
    }

    public static TestSuite suite() {
        return new TestSuite(TestDateTimeDateFormat.class);
    }

    public static void main(String[] args) {
        junit.textui.TestRunner.run(suite());
    }
}
